Skip to main content

Instance Member Actions

https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Below are the various requests that can be performed against the Instance Member resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an instance member

Method And Url​

DELETE https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceMember.*, or instanceMember.delete.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
USER_IDID associated with the instance member575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Successful Responses​

CodeTypeDescription
200SuccessIf member was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance or member was not found

Get​

Returns an instance member

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceMember.*, or instanceMember.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
USER_IDID associated with the instance member575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Successful Responses​

CodeTypeDescription
200Instance MemberA single instance member

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance or member was not found

Patch​

Modifies the role of an instance member

Method And Url​

PATCH https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceMember.*, or instanceMember.patch.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
USER_IDID associated with the instance member575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Instance Member Patch schema. For example, the following would be a valid body for this request:

{
"role": "view"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"role":"view"}' \
https://api.losant.com/instances/INSTANCE_ID/members/USER_ID

Successful Responses​

CodeTypeDescription
200Instance MemberThe modified instance member

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance or member was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Member​

        Schema for an Instance member

        Instance Member Schema​

        • ▶
          {} 4 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 9 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                            • false

                          Instance Member Example​

                          • ▶
                            {} 2 keys
                            • "575ef90f7ae143cd83dc4aad"
                            • "view"

                          Instance Member Patch​

                          Schema for an Instance member modification request

                          Instance Member Patch Schema​

                          • ▶
                            {} 5 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 1 key
                              • ▶
                                {} 2 keys
                              • false
                              • ▶
                                [] 1 item

                              Instance Member Patch Example​

                              • ▶
                                {} 1 key
                                • "view"

                              Success​

                              Schema for reporting a successful operation

                              Success Schema​

                              • ▶
                                {} 3 keys
                                • "http://json-schema.org/draft-07/schema#"
                                • "object"
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 2 keys

                                Success Example​

                                • ▶
                                  {} 1 key
                                  • true

                                Was this page helpful?


                                Still looking for help? You can also search the Losant Forums or submit your question there.